Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1312340

Summary: python-fsmonitor: Provide a Python 3 subpackage
Product: [Fedora] Fedora Reporter: Tomas Orsava <torsava>
Component: python-fsmonitorAssignee: Yohan Graterol <yohangraterol92>
Status: CLOSED RAWHIDE QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 25CC: dkrejci, lbalhar, mhroncok, yohangraterol92
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: python-fsmonitor-0.1-8.fc26 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-09-07 11:33:24 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On:    
Bug Blocks: 1285816, 1333770    
Attachments:
Description Flags
add Python 3 & commit update
none
add Python 3 & commit update none

Description Tomas Orsava 2016-02-26 13:15:19 UTC
Upstream, this software supports Python 3. Please provide a Python 3
package for Fedora.


According to the Python packaging guidelines [0], software must be
packaged for Python 3 if upstream supports it.
The guidelines give detailed information on how to do this, and even
provide an example spec file [1].

The current best practice is to provide subpackages for the two Python
versions (called "Common SRPM" in the guidelines). Alternatively, if
nothing depends on your Python2 package, you can just switch to Python 3
entirely.

It's ok to do this in Rawhide only, however, it would be greatly
appreciated if you could push it to Fedora 24 as well.


If anything is unclear, or if you need any kind of assistance with the
porting, you can ask on IRC (#fedora-python on Freenode), or reply here.
We'll be happy to help!


[0] https://fedoraproject.org/wiki/Packaging:Python
[1] https://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file

Comment 1 Dominika Krejčí 2016-06-28 13:40:09 UTC
Hello Yohan,

Do you need any help adding Python 3 support to the RPM?

If you need more instructions, a [guide] for porting Python-based RPMs is available.

[guide] http://python-rpm-porting.readthedocs.org/

Comment 2 Dominika Krejčí 2016-07-22 10:47:03 UTC
Created attachment 1182804 [details]
add Python 3 & commit update

Hi Yohan,
here is the change needed to add Python 3 support and update the version. Could you please review it and do the update?

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=14979221

Also tested in Mock (fedora-23-x86_64, fedora-24-x86_64, fedora-rawhide-x86_64, fedora-rawhide-i386).

Comment 3 Jan Kurik 2016-07-26 05:13:10 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 25 development cycle.
Changing version to '25'.

Comment 4 Dominika Krejčí 2016-08-08 10:43:32 UTC
Created attachment 1188617 [details]
add Python 3 & commit update

Hi, there is a new patch. This one is using macros for tests.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=15173199

Comment 5 Lumír Balhar 2016-08-08 10:50:44 UTC
Patch looks good to me. Thank you.

Comment 6 Miro Hrončok 2016-08-16 10:55:04 UTC
Yohan,
do you mind if I push this? If you don't reply in a week, I assume it's OK.

Comment 7 Red Hat Bugzilla 2023-09-14 03:18:36 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 1000 days